export class SearchAdsQuery {
  xFeatureEnableFalseNegative: boolean | undefined;
  publishedBefore: string | undefined;
  publishedAfter: string | undefined;
  occupationName: string | undefined;
  occupationGroup: string[] | undefined;
  occupationField: string[] | undefined;
  occupationCollection: string[] | undefined;
  skill: string[] | undefined;
  language: string[] | undefined;
  worktimeExtent: string[] | undefined;
  parttimeMin: number | undefined;
  parttimeMax: number | undefined;
  drivingLicenseRequired: boolean | undefined;
  drivingLicense: string[] | undefined;
  employmentType: string[] | undefined;
  experience: boolean | undefined;
  municipality: string[] | undefined;
  region: string[] | undefined;
  country: string[] | undefined;
  unspecifiedSwedenWorkplace: boolean | undefined;
  abroad: boolean | undefined;
  remote: boolean | undefined;
  openForAll: boolean | undefined;
  trainee: boolean | undefined;
  larling: boolean | undefined;
  franchise: boolean | undefined;
  hireWorkPlace: boolean | undefined;
  position: string[] | undefined;
  positionRadius: string[] | undefined;
  employer: string[] | undefined;
  q: string | undefined;
  qfields: string[] | undefined;
  relevanceThreshold: number | undefined;
  resdet: string | undefined;
  offset: number | undefined;
  limit: number | undefined;
  sort: string | undefined;
  stats: string[] | undefined;
  statsLimit: number | undefined;
  requestTimeout: number = 300;
  historicalFrom: string | undefined;
  historicalTo: string | undefined;
  startSeasonalTime: string | undefined;
  endSeasonalTime: string | undefined;
}

